//++++++++++++++++  RT_HW_BOARDS_63_GROUP_ESP32.hpp +++++++++++++++++++++++++++++++++++++++++++++
//-------------------------------------------------------------------------------------------------
//		ОБЩИЕ ПАРАМЕТРЫ
//-------------------------------------------------------------------------------------------------
#define RT_HW_GROUP_ESP32					//--Идентификатор группы	
#define RT_HW_GROUP_CODE 		3			//--Код группы
#define RT_HW_GROUP_NAME		"ESP32"		//--Имя  группы
//-------------------------------------------------------------------------------------------------
//		ПАРАМЕТРЫ НАСТРОЙКИ ПИНОВ
//-------------------------------------------------------------------------------------------------
#define RT_HW_IO_MODE_INPUT					INPUT				//--Дискретный вход
#define RT_HW_IO_MODE_INPUT_PULLUP			INPUT_PULLUP 		//--Дискретный вход с подтяжкой к +Vcc
#define RT_HW_IO_MODE_OUTPUT				OUTPUT				//--Дискретный выход
#define RT_HW_IO_MODE_INPUT_FLOATING		INPUT				//--Дискретный вход - аналог INPUT
#define RT_HW_IO_MODE_INPUT_PULLDOWN		INPUT_PULLDOWN		//--Дискретный вход с подтяжкой к GND
#define RT_HW_IO_MODE_INPUT_ANALOG			INPUT				//--Аналоговый вход
#define RT_HW_IO_MODE_OUTPUT_OPEN_DRAIN		OUTPUT				//--Дискретный выход с открытым стоком
#define RT_HW_IO_MODE_OUTPUT_PWM			OUTPUT				//--ШИМ выход
#define RT_HW_IO_MODE_OUTPUT_PWM_OPEN_DRAIN	OUTPUT				//--ШИМ выход с открытым коллектором	
//-------------------------------------------------------------------------------------------------