#include "RT_HW_BOARDS.h"	
//=================================================================================================
//             RT_HW_BOARDS
//=================================================================================================
//	
//-------------------------------------------------------------------------------------------------
RT_HW_BOARDS:: RT_HW_BOARDS(){ 
//dir=0;																 //--     Boards;
//---  -------------------------------------------------------------------
varia.led  		=RT_HW_PIN_LED; //--  ; 	
depth.adc		=getIndexNum(RT_HW_INDEX_PARAM_GEN,1); //-- ADC;	
depth.pwm		=getIndexNum(RT_HW_INDEX_PARAM_GEN,2); //-- PWM;
depth.dac		=getIndexNum(RT_HW_INDEX_PARAM_GEN,3); //-- DAC;
depth.adc_drift	=getIndexNum(RT_HW_INDEX_PARAM_GEN,4); //--   ADC;	
depth.adc_null	=getIndexNum(RT_HW_INDEX_PARAM_GEN,5); //--    ADC;	 	
depth.sys		=12;								   //---   ;   
#if RT_HW_DEFINED_SAM3X8E 
	analogReadResolution(depth.adc);  //--  ADC   SAM3X8E (Arduino DUE); 
	analogWriteResolution(depth.pwm); //--  PWM   SAM3X8E (Arduino DUE); 
#endif 
//---  ---------------------------------------------------------
//User.pins=User.wire1=User.flg1=User.flg2=User.flg3=0;

//---  i2c---------------------------------------------------------------------
//i2c.sda =getIndexNum(RT_HW_INDEX_PINS_I2C,1); //--    sda;
//i2c.scl =getIndexNum(RT_HW_INDEX_PINS_I2C,2); //--    scl;
//i2c.freq=RT_HW_WIRE_FREQ; 					//--  ( )
//Wire.begin(); 	prim.i2c=1;						//--  i2c   ;
//SPI.begin();	prim.spi=1;
}; // END 
//-----------------------------------------------------------------------------
//             
//	   (mode):
//  	'p' ( ) -  .    ,  -1;
// 		'u'	-      uint8_t;
// 		'i'	-       int8_t;
//     (   /   ,   -1.
//-----------------------------------------------------------------------------
int16_t RT_HW_BOARDS:: getIndexNum	(uint8_t index, uint8_t n, char mode){int8_t k; 
switch(index){
	default:    return -1;  
	case RT_HW_INDEX_PARAM_GEN:		if(n > _RT_HW_READ_PGM(RT_HW_PARAM_GEN, 0))	return -1;  k=_RT_HW_READ_PGM(RT_HW_PARAM_GEN, n);	break;
	case RT_HW_INDEX_PARAM_LINK:	if(n > _RT_HW_READ_PGM(RT_HW_PARAM_LINK,0))	return -1;  k=_RT_HW_READ_PGM(RT_HW_PARAM_LINK,n);	break;
	case RT_HW_INDEX_PARAM_CAN:		if(n > _RT_HW_READ_PGM(RT_HW_PARAM_CAN, 0))	return -1;  k=_RT_HW_READ_PGM(RT_HW_PARAM_CAN, n);	break;
	case RT_HW_INDEX_PARAM_WIFI:	if(n > _RT_HW_READ_PGM(RT_HW_PARAM_WIFI,0))	return -1;	k=_RT_HW_READ_PGM(RT_HW_PARAM_WIFI,n);	break;
	case RT_HW_INDEX_PARAM_BTH:	  	if(n > _RT_HW_READ_PGM(RT_HW_PARAM_BTH, 0))	return -1;	k=_RT_HW_READ_PGM(RT_HW_PARAM_BTH, n);	break;
	case RT_HW_INDEX_PARAM_ETH:	  	if(n > _RT_HW_READ_PGM(RT_HW_PARAM_ETH, 0))	return -1;	k=_RT_HW_READ_PGM(RT_HW_PARAM_ETH, n);	break;	
	case RT_HW_INDEX_PINS_ALL:	  	if(n > _RT_HW_READ_PGM(RT_HW_PINS_ALL,  0))	return -1;  k=_RT_HW_READ_PGM(RT_HW_PINS_ALL,  n);	break;	
	case RT_HW_INDEX_PINS_DIN:	  	if(n > _RT_HW_READ_PGM(RT_HW_PINS_DIN,  0))	return -1;  k=_RT_HW_READ_PGM(RT_HW_PINS_DIN,  n);	break;	
	case RT_HW_INDEX_PINS_ADC:	  	if(n > _RT_HW_READ_PGM(RT_HW_PINS_ADC,  0))	return -1;  k=_RT_HW_READ_PGM(RT_HW_PINS_ADC,  n);	break;
	case RT_HW_INDEX_PINS_TCH:	  	if(n > _RT_HW_READ_PGM(RT_HW_PINS_TCH,  0))	return -1;	k=_RT_HW_READ_PGM(RT_HW_PINS_TCH,  n);	break;	
	case RT_HW_INDEX_PINS_DOT:	  	if(n > _RT_HW_READ_PGM(RT_HW_PINS_DOT,  0))	return -1;	k=_RT_HW_READ_PGM(RT_HW_PINS_DOT,  n);	break;	
	case RT_HW_INDEX_PINS_PWM:	  	if(n > _RT_HW_READ_PGM(RT_HW_PINS_PWM,  0))	return -1;	k=_RT_HW_READ_PGM(RT_HW_PINS_PWM,  n);	break;
	case RT_HW_INDEX_PINS_DAC:	  	if(n > _RT_HW_READ_PGM(RT_HW_PINS_DAC,  0))	return -1;	k=_RT_HW_READ_PGM(RT_HW_PINS_DAC,  n);	break;	
	case RT_HW_INDEX_PINS_UHS:		if(n > _RT_HW_READ_PGM(RT_HW_PINS_UHS,  0))	return -1;	k=_RT_HW_READ_PGM(RT_HW_PINS_UHS,  n);	break;	
	case RT_HW_INDEX_PINS_USS:		if(n > _RT_HW_READ_PGM(RT_HW_PINS_USS,  0))	return -1;	k=_RT_HW_READ_PGM(RT_HW_PINS_USS,  n);	break;
	case RT_HW_INDEX_PINS_I2C:	  	if(n > _RT_HW_READ_PGM(RT_HW_PINS_I2C,  0))	return -1;	k=_RT_HW_READ_PGM(RT_HW_PINS_I2C,  n);	break;	
	case RT_HW_INDEX_PINS_SPI:	  	if(n > _RT_HW_READ_PGM(RT_HW_PINS_SPI,  0))	return -1;	k=_RT_HW_READ_PGM(RT_HW_PINS_SPI,  n);	break;
	case RT_HW_INDEX_PINS_CAN:	  	if(n > _RT_HW_READ_PGM(RT_HW_PINS_CAN,  0))	return -1;	k=_RT_HW_READ_PGM(RT_HW_PINS_CAN,  n);	break;	
	}
   //-- 
	switch(mode){
		default:
		case 'u': return (uint8_t)k; 					//--   
		case 'i': return k; 							//--   int8_t
		case 'p': if(k<0) return -1; else return k;};	//--   ;
}; //--END getIndexNum()


//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//                      i2c 
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
bool RT_HW_BOARDS:: i2c_find(uint8_t &step, uint8_t&cnt, uint16_t &period, uint32_t &timeDelay,  int8_t adr, uint8_t cntMax){
switch(step){default: step=0;   
  case 0: if(adr<0)	return 0;; 										//--,    ;
		  cnt=0; period=0; 	timeDelay=millis(); step++; 	//-- ,  , ;
  case 1: if(!((millis()-timeDelay)>period)) return 0; timeDelay=millis(); //--   ;
		  cnt++; if(cnt>=cntMax) cnt=cntMax; 						//--  ;
		  Wire.beginTransmission(adr);								//--   i2c
			if(Wire.endTransmission()==0){ 							//		     (=0 -  );
			if(cnt <2) {period=25;			return 0;}				//--    ( )   ;
			if(cnt==2) {step=0; 			return 1;}				//--
			if(cnt >2) {period=25;   cnt=1; return 0;}}				//-- ;
		  period =100*cnt;					return 0;}};			//--   ;	
*/		  
//=================================================================================================	

	
//-------------------------------------------------------------------------------------------------
//                             
//-------------------------------------------------------------------------------------------------
RT_HW_BOARDS  		RT_HW_Boards;
//-------------------------------------------------------------------------------------------------