//++++++++++++++++  RT_HW_BOARDS_61_GROUP_ARDUINO.hpp +++++++++++++++++++++++++++++++++++++++++++++
//-------------------------------------------------------------------------------------------------
//		ОБЩИЕ ПАРАМЕТРЫ
//-------------------------------------------------------------------------------------------------
#define RT_HW_GROUP_ARDUINO					//--Идентификатор группы	
#define RT_HW_GROUP_CODE 		1			//--Код группы
#define RT_HW_GROUP_NAME		"ARDUINO"	//--Имя  группы
//-------------------------------------------------------------------------------------------------
//		ПАРАМЕТРЫ НАСТРОЙКИ ПИНОВ
//-------------------------------------------------------------------------------------------------
#define RT_HW_IO_MODE_INPUT					INPUT				//--Дискретный вход
#define RT_HW_IO_MODE_INPUT_PULLUP			INPUT_PULLUP 		//--Дискретный вход с подтяжкой к +Vcc
#define RT_HW_IO_MODE_OUTPUT				OUTPUT				//--Дискретный выход
#define RT_HW_IO_MODE_INPUT_FLOATING		INPUT				//--Дискретный вход - аналог INPUT
#define RT_HW_IO_MODE_INPUT_PULLDOWN		INPUT				//--Дискретный вход с подтяжкой к GND
#define RT_HW_IO_MODE_INPUT_ANALOG			INPUT				//--Аналоговый вход
#define RT_HW_IO_MODE_OUTPUT_OPEN_DRAIN		OUTPUT				//--Дискретный выход с открытым стоком
#define RT_HW_IO_MODE_OUTPUT_PWM			OUTPUT				//--ШИМ выход
#define RT_HW_IO_MODE_OUTPUT_PWM_OPEN_DRAIN	OUTPUT				//--ШИМ выход с открытым коллектором
//-------------------------------------------------------------------------------------------------