//++++++++++++++++  RT_HW_BOARDS_65_GROUP_STM32F4.hpp +++++++++++++++++++++++++++++++++++++++++++++
//-------------------------------------------------------------------------------------------------
//		ОБЩИЕ ПАРАМЕТРЫ
//-------------------------------------------------------------------------------------------------
#define RT_HW_GROUP_STM32F1					//--Идентификатор группы	
#define RT_HW_GROUP_CODE 		5			//--Код группы
#define RT_HW_GROUP_NAME		"STM32F4"	//--Имя  группы
//-------------------------------------------------------------------------------------------------
//		ПАРАМЕТРЫ НАСТРОЙКИ ПИНОВ
//-------------------------------------------------------------------------------------------------
#define RT_HW_IO_MODE_INPUT					INPUT				//--Дискретный вход
#define RT_HW_IO_MODE_INPUT_PULLUP			INPUT_PULLUP 		//--Дискретный вход с подтяжкой к +Vcc
#define RT_HW_IO_MODE_OUTPUT				OUTPUT				//--Дискретный выход
#define RT_HW_IO_MODE_INPUT_FLOATING		INPUT_FLOATING		//--Дискретный вход - аналог INPUT
#define RT_HW_IO_MODE_INPUT_PULLDOWN		INPUT_PULLDOWN		//--Дискретный вход с подтяжкой к GND
#define RT_HW_IO_MODE_INPUT_ANALOG			INPUT_ANALOG		//--Аналоговый вход
#define RT_HW_IO_MODE_OUTPUT_OPEN_DRAIN		OUTPUT_OPEN_DRAIN	//--Дискретный выход с открытым стоком
#define RT_HW_IO_MODE_OUTPUT_PWM			PWM					//--ШИМ выход
#define RT_HW_IO_MODE_OUTPUT_PWM_OPEN_DRAIN	PWM_OPEN_DRAIN		//--ШИМ выход с открытым коллектором	
//-------------------------------------------------------------------------------------------------