#include "RT_HW_TASK.h"	
//-------------------------------------------------------------------------------------------------
//							
//-------------------------------------------------------------------------------------------------
RT_HW_TASK:: RT_HW_TASK(){ 
Shed.dir=0;
Shed.qntSlow=10; 	//--   slow,   fast (25*10=250ms);
Shed.qntBack=4; 	//--   back,   fast (25* 4=100ms);
Shed.quick.qnt=5; 		//---    ;
Shed.fast.qnt=4;		//---    ;
Shed.slow.qnt=4; 		//---  ;
Shed.back.qnt=5;   		//---    ;
Shed.frdm.qnt=20; 		//---  ;
Shed.cntSlow=Shed.cntBack=0;
};
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
//		      
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
//uint32_t RT_HW_TASK:: getTime   (uint32_t &timeStart, uint32_t timeEnd) {return (timeEnd-timeStart);}
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
//		 1,       >=val
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//uint8_t  RT_HW_TASK:: checkTime (uint32_t &timeStart, uint32_t timeEnd, uint32_t val) {if((timeEnd-timeStart)>val) return 1;  else return 0;}
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
//  	  ( delay) - ,   
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
//uint8_t  RT_HW_TASK:: checkDelay (uint32_t &timeWork, uint32_t &timeStart, uint32_t timeEnd, uint32_t val){
//	if(timeWork==0) {timeWork=val; timeStart=timeEnd;         return 0;}
//	if((timeEnd-timeStart)<val) {return 0;} else {timeWork=0; return 1;}};
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
//	RT_HW_TASK::            
//    https://alexgyver.ru/arduino-algorithms/
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
uint8_t RT_HW_TASK:: period(uint32_t &timeStart, uint32_t timeEnd, uint32_t period){
  if (timeEnd - timeStart >= period) {
    do {timeStart += period; 
		if (timeStart < period) break;  //  uint32_t
       } while (timeStart < timeEnd - period); //    
	return 1;}
return 0;};
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
// 	       (   ago=-1, cnt=0)
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
bool RT_HW_TASK:: trigger_Update(uint8_t &cnt, int8_t &ago, uint8_t qnt, bool En){
if(ago<0) {ago=En; return 1;}  if((ago!=En)) {if(qnt!=0) {if(++cnt>qnt) {cnt=1;  return 1;}}} ago=En; return 0;}	 
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
// 	         (   ago=-1, cnt=0)
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
bool RT_HW_TASK:: trigger_Front (uint8_t &cnt, int8_t &ago, uint8_t qnt, bool En){ 
if(ago<0) {ago=En; return 1;}  if(En && !ago) {if(qnt!=0) {if(++cnt>qnt) {cnt=1; return 1;}}} ago=En; return 0;}	
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
// 	     EN(   ago=-1, cnt=0)
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
bool RT_HW_TASK::     divider_EN(uint8_t &cnt, int8_t &ago, uint8_t qnt, bool EN){
if(ago<0) {ago=EN; return 1;} if(EN) {if(qnt!=0) {if(++cnt>qnt) {cnt=1;  return 1;}}}; 	return 0;}	
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
// 	  8- ( (v<1 || v>8) ->dc=0; v=1 ->dc=1; v=8 ->dc=0x80; v>0 
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
uint8_t  RT_HW_TASK:: dc8 (uint8_t  &work, uint8_t v){work=0; if((v>0) && (v<=8)) {bitSet(work,(v-1));} return work;};
uint16_t RT_HW_TASK:: dc16(uint16_t &work, uint8_t v){work=0; if((v>0) && (v<=16)){bitSet(work,(v-1));} return work;};
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
// 						 C
//mode:		 : 'S'-; 'T'-; 'L'-; 'C'-;    	
//direct:	d    'T'-   (1/0-/);
//delta, bottom, top:	  ,  ,  ;		
//val:		  ; 		
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
int16_t RT_HW_TASK:: Counter(int32_t &val, uint8_t &direct, uint8_t begin, uint8_t bottom, uint8_t top, char mode, uint8_t delta, bool EN, bool RST){
if((direct<0) || RST) {val=begin; direct=0;};
if(EN){
 switch(mode) {default:  break;
	case 'S': if(delta>=0){if(val==top)   {val=bottom;} else {val=val+delta;if(val>top)   {val=top;}}} 			//--+:        
			  if(delta <0){if(val==bottom){val=top;}    else {val=val+delta;if(val<bottom){val=bottom;}}} break;//---:          
	case 'T': if(val==top)    direct=0;  												
			  if(val==bottom) direct=1;        											//------------- 
			  if(direct==true) {val=val+delta; if(val>top)     val=top;} 				//-------------
			              else {val=val-delta; if(val<bottom)  val=bottom;}  break;		//-------------	
	case 'L': if(delta>=0)     {val=val+delta; if(val>top)     val=top;}       			//--   +:    ;
			  if(delta <0)     {val=val+delta; if(val<bottom)  val=bottom;} break;   	//--   -:     ;
	case 'B': if(delta>=0)     {val=val+delta; if(val>  32767) val= 32767;} 			//--   32767; 	
			  if(delta <0)     {val=val+delta; if(val< -32768) val=-32768;} break;}		//--  -32768;
			  };			  
return (int16_t)val;
};
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
// 	       EN (   ago=-1, cnt=0)
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
bool  RT_HW_TASK:: pulse_EN(uint8_t &cnt, int8_t &ago, uint8_t ON, uint8_t OFF, bool EN){if(ago<0) {ago=0; cnt=1; return 1;} 
if(EN){if(cnt<(ON+OFF)) cnt++; else cnt=1;} if(cnt<=ON) return 1; else return 0;} 
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
// 	       En (   ago=-1, cnt=0)
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
bool  RT_HW_TASK:: pulse_En(uint8_t &cnt, int8_t &ago, uint8_t ON, uint8_t OFF, bool En){if(ago<0) {ago=0; cnt=1; return 1;} 
if(En !=ago){ago=En; if(cnt<(ON+OFF)) cnt++; else cnt=1;} if(cnt<=ON) return 1; else return 0;} 
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//      cnt100:2,cnt250:3,cnt500:3, cnt1s:2,cnt2s:3;
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
void RT_HW_TASK:: sheduler(){
Shed.quick.num =Shed.fast.num =Shed.slow.num =Shed.back.num =0; //--  ; 
switch (Shed.dir){default:
	case 0: Shed.startSlow=Shed.startBack=0; Shed.timeStart10=RT_HW_TASK_MILLIS; Shed.startSlow=Shed.startBack=0; 
			Shed.div10=Shed.div25=Shed.div250=0; Shed.dir++;									
	case 1: if((RT_HW_TASK_MILLIS-Shed.timeStart10)>10) Shed.dir++;  return;
	case 2:				 	 			   		        Shed.dir++;  return; 	//--dir=2:  reset=1;
	case 3: Shed.timeStart10=RT_HW_TASK_MILLIS;         Shed.dir++;  return;  		
	case 4:	if((RT_HW_TASK_MILLIS-Shed.timeStart10)>1)  Shed.dir++;  return;	//--dir=4:  permit=1   1 ms 
	case 5: Shed.timeStart10=Shed.timeStart50=RT_HW_TASK_MILLIS;  Shed.dir++;			//--.
	case 6: if(period(Shed.timeStart10,RT_HW_TASK_MILLIS,10)){Shed.mean10=!Shed.mean10; if(++Shed.div10 >16) {Shed.div10=1;} 
	                                             if(++Shed.quick.cnt>Shed.quick.qnt){Shed.quick.cnt=1;} Shed.quick.num=Shed.quick.cnt; return;}
			if(period(Shed.timeStart50,RT_HW_TASK_MILLIS,25)){Shed.mean25=!Shed.mean25; if(++Shed.div25 >16) {Shed.div25=1;} 
												 if(++Shed.cnt250   >10){Shed.cnt250=1; if(++Shed.div250>16) {Shed.div250=1;} Shed.mean250=!Shed.mean250;}
												 if(++Shed.cntSlow>Shed.qntSlow){Shed.cntSlow=1; Shed.startSlow=1;}
												 if(++Shed.cntBack>Shed.qntBack){Shed.cntBack=1; Shed.startBack=1;}
											     if(++Shed.fast.cnt >Shed.fast.qnt) {Shed.fast.cnt =1;} Shed.fast.num =Shed.fast.cnt; return;}	
            if(Shed.startSlow){Shed.startSlow=0; if(++Shed.slow.cnt >Shed.slow.qnt) {Shed.slow.cnt =1;} Shed.slow.num =Shed.slow.cnt; return;} //--  ;
			if(Shed.startBack){Shed.startBack=0; if(++Shed.back.cnt >Shed.back.qnt) {Shed.back.cnt =1;} Shed.back.num =Shed.back.cnt; return;} //--  ;			
											     if(++Shed.frdm.cnt >Shed.frdm.qnt) {Shed.frdm.cnt =1;} Shed.frdm.num =Shed.frdm.cnt; return;  //--  ;	
}};
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//    
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
uint8_t RT_HW_TASK:: genMeander(uint8_t &ago, uint8_t &cnt, uint8_t &ust){if(ago!=ust) {ago=ust; if(++cnt>16) cnt=1;}}
																					   	
//-------------------------------------------------------------------------------------------------
//                             
//-------------------------------------------------------------------------------------------------
RT_HW_TASK  		RT_HW_Task;
//-------------------------------------------------------------------------------------------------